import shiki from 'shiki';
import visit from 'unist-util-visit';

var index = (function (_ref, options) {
  var markdownAST = _ref.markdownAST;

  try {
    var theme = options.theme || 'nord';
    var shikiTheme;

    try {
      shikiTheme = shiki.getTheme(theme);
    } catch (_) {
      try {
        shikiTheme = shiki.loadTheme(theme);
      } catch (_) {
        throw new Error('Unable to load theme: ' + theme);
      }
    }

    shiki.getHighlighter({
      theme: shikiTheme
    }).then(function (highlighter) {
      visit(markdownAST, 'code', function (node) {
        node.type = 'html';
        node.children = undefined;

        if (!node.lang) {
          node.value = "<pre class=\"shiki-unknown\"><code>" + node.value + "</code></pre>";
          return;
        }

        node.value = highlighter.codeToHtml(node.value, node.lang);
      });
    });
    return Promise.resolve(markdownAST);
  } catch (e) {
    return Promise.reject(e);
  }
});

export default index;
//# sourceMappingURL=gatsby-remark-shiki.esm.js.map
